aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2018-07-14 11:11:32 -0700
committerKhem Raj <raj.khem@gmail.com>2018-07-14 15:50:14 -0700
commit017f4a6a08cd66b8690898e743f69b272bba72db (patch)
treeb52558a1f76fe76bd83bcc015569926e6ce5345c
parentd6836356c448d1c23cc71642f3daf12082f7b42e (diff)
downloadmeta-openembedded-contrib-017f4a6a08cd66b8690898e743f69b272bba72db.tar.gz
meta-openembedded-contrib-017f4a6a08cd66b8690898e743f69b272bba72db.tar.bz2
meta-openembedded-contrib-017f4a6a08cd66b8690898e743f69b272bba72db.zip
volume-key: Upgrade to 0.3.10
Add dependency on swig-native which was missing Signed-off-by: Khem Raj <raj.khem@gmail.com>
-rw-r--r--meta-oe/recipes-extended/volume_key/files/0001-explicitly-support-python3-by-pkg-config.patch26
-rw-r--r--meta-oe/recipes-extended/volume_key/volume-key_0.3.10.bb (renamed from meta-oe/recipes-extended/volume_key/volume-key_0.3.9.bb)5
2 files changed, 15 insertions, 16 deletions
diff --git a/meta-oe/recipes-extended/volume_key/files/0001-explicitly-support-python3-by-pkg-config.patch b/meta-oe/recipes-extended/volume_key/files/0001-explicitly-support-python3-by-pkg-config.patch
index 03edb13909..7fc76ab2f9 100644
--- a/meta-oe/recipes-extended/volume_key/files/0001-explicitly-support-python3-by-pkg-config.patch
+++ b/meta-oe/recipes-extended/volume_key/files/0001-explicitly-support-python3-by-pkg-config.patch
@@ -1,4 +1,4 @@
-From 18415c0b4c6e50ed9b99dfdae8d210590d0ab72e Mon Sep 17 00:00:00 2001
+From 968c7506bea3b8d66e18a562d8b8491172631b37 Mon Sep 17 00:00:00 2001
From: Hongxu Jia <hongxu.jia@windriver.com>
Date: Fri, 28 Apr 2017 04:50:30 -0400
Subject: [PATCH] explicitly support python3 by pkg-config
@@ -9,13 +9,14 @@ use pkg-config to replace
Upstream-Status: Inappropriate [wr-installer specific]
Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
+
---
Makefile.am | 5 ++---
configure.ac | 2 ++
2 files changed, 4 insertions(+), 3 deletions(-)
diff --git a/Makefile.am b/Makefile.am
-index 4569bbf..7a8daf4 100644
+index 68560b1..ee2b4dc 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -20,7 +20,6 @@ ACLOCAL_AMFLAGS = -I m4
@@ -39,18 +40,15 @@ index 4569bbf..7a8daf4 100644
src_volume_key_SOURCES = src/volume_key.c
diff --git a/configure.ac b/configure.ac
-index ff35dd0..0928a6c 100644
+index 40c3906..16c067d 100644
--- a/configure.ac
+++ b/configure.ac
-@@ -27,6 +27,8 @@ AM_INIT_AUTOMAKE([no-dist-gzip dist-xz no-define subdir-objects -Wall])
- AC_PROG_CC
- AM_PROG_CC_C_O
- LT_INIT([disable-static])
-+
-+PKG_CHECK_MODULES(python3, [python3])
- AM_PATH_PYTHON
+@@ -31,6 +31,8 @@ LT_INIT([disable-static])
+ AC_PATH_PROGS(PYTHON, python2.7 python2.6 python2 python, [Python is required])
+ AM_PATH_PYTHON([2.6], [], AC_MSG_ERROR([Python 2.6 or 2.7 is required]))
- dnl Not gpg2, it cannot receive passphrases from gpgme
---
-2.8.1
-
++PKG_CHECK_MODULES(python3, [python3])
++
+ AC_PATH_PROG([GPG], [gpg2])
+ AC_ARG_VAR([GPG])
+ AC_DEFINE_UNQUOTED([GPG_PATH], "$GPG", [Path to the gpg2 executable])
diff --git a/meta-oe/recipes-extended/volume_key/volume-key_0.3.9.bb b/meta-oe/recipes-extended/volume_key/volume-key_0.3.10.bb
index febf3f256d..e8d20553fb 100644
--- a/meta-oe/recipes-extended/volume_key/volume-key_0.3.9.bb
+++ b/meta-oe/recipes-extended/volume_key/volume-key_0.3.10.bb
@@ -11,8 +11,8 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=b234ee4d69f5fce4486a80fdaf4a4263"
SRC_URI = "https://releases.pagure.org/volume_key/volume_key-${PV}.tar.xz \
file://0001-explicitly-support-python3-by-pkg-config.patch \
"
-SRC_URI[md5sum] = "a2d14931177c660e1f3ebbcf5f47d8e2"
-SRC_URI[sha256sum] = "450a54fe9bf56acec6850c1e71371d3e4913c9ca1ef0cdc3a517b4b6910412a6"
+SRC_URI[md5sum] = "605fd99a6e42916728020562a6edee78"
+SRC_URI[sha256sum] = "c5729de7e33e39c8674e9aae2337d2719f9298d6499f1656d0d25a065a7e98a7"
SRCNAME = "volume_key"
S = "${WORKDIR}/${SRCNAME}-${PV}"
@@ -25,6 +25,7 @@ DEPENDS += " \
cryptsetup \
nss \
gpgme \
+ swig-native \
"
RDEPENDS_python3-${PN} += "${PN}"